Runtime

## org.eclipse.gmf.runtime.common.ui.editors
Interface IRevertiblePart

All Superinterfaces:
  ISaveablePart

public interface IRevertiblePart
extends ISaveablePart

Workbench parts can implement or adapt to this interface to participate in the enablement and execution of the `Revert` action.

Field Summary

Fields inherited from interface org.eclipse.ui.ISaveablePart
`PROP_DIRTY`

Method Summary
`void` `doRevertToSaved()` Reverts this part by abandoning changes made in the part since the last save operation.

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

Method Detail

### doRevertToSaved

    public void doRevertToSaved()

  Reverts this part by abandoning changes made in the part since the last save operation.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.